Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002430opensim[REGION] Physics Enginespublic2008-10-19 04:402019-04-30 11:59
Reportersacha magne 
Assigned ToCodyCooper 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0002430: [potential sim crashing] Rezzing physicals objects continiusly crash a sim
DescriptionPotential griefing:

Rez an object (cube)
past the script (seffdestruct) in it
set that object to physical

Create another prim
add the script called (rezzer) and the cube

touch the rezzer
after few minuts the FPS drop to 0 and the sim is frozen.

Remarq: in case of multi-regions, only the region who got the rezzer is frozen
Additional Informationscript selfdestruct :
default
{
    state_entry()
    {
        llSetTimerEvent(llFrand(50));
    }
    
    timer()
    {
     llDie();
     
    }
}

script rezzer:
default
{
    state_entry()
    {
        llSay(0, "Rezzer");
        llSay(0,"will rezz an object on timer ");
    }
    
    touch_start (integer count)
    {

     llSetTimerEvent(2.0);
    }
    timer(){
       llRezObject("cube",llGetPos() + <0.0, 1, 1>, ZERO_VECTOR, ZERO_ROTATION, 0);
    }
     
}

The timer set to 2s is only to speedup the process

TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono VersionNone
Viewer
Attached Files

- Relationships
has duplicate 0002429closed [potential sim crashing] Rezzing physicals objects continiusly crash a sim 

-  Notes
(0006436)
sacha magne (developer)
2008-10-19 09:26

the timer seems to be an issue here.
A fantom prims doesn't crash the sim.
(0013434)
Fly-Man- (developer)
2009-09-18 07:19

Timers are an issue on OpenSim at this moment
(0035193)
CodyCooper (reporter)
2019-04-30 11:59

As far as known in 2019, Most LSL Functions have been Implemented as they are supposed to be. Marking as Ack. Should be Closed

- Issue History
Date Modified Username Field Change
2008-10-19 04:40 sacha magne New Issue
2008-10-19 04:40 sacha magne SVN Revision => 6899
2008-10-19 04:40 sacha magne Run Mode => Grid (Multiple Regions per Sim)
2008-10-19 04:40 sacha magne Physics Engine => ODE
2008-10-19 04:40 sacha magne Environment => Mono / Linux32
2008-10-19 09:26 sacha magne Note Added: 0006436
2008-10-21 22:25 sacha magne Relationship added has duplicate 0002429
2009-09-18 07:19 Fly-Man- Note Added: 0013434
2019-04-30 11:59 CodyCooper Note Added: 0035193
2019-04-30 11:59 CodyCooper Mono Version => None
2019-04-30 11:59 CodyCooper Status new => resolved
2019-04-30 11:59 CodyCooper Resolution open => fixed
2019-04-30 11:59 CodyCooper Assigned To => CodyCooper


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker